import { Button } from "@material-ui/core";
// import { useWeb3Context } from "src/hooks/web3Context";

const onConnect = async () => {
  const provider = await this.web3Modal.connect();

  await this.subscribeProvider(provider);

  await provider.enable();
  const web3 = initWeb3(provider);

  const accounts = await web3.eth.getAccounts();

  const address = accounts[0];

  const networkId = await web3.eth.net.getId();

  const chainId = await web3.eth.chainId();

  await this.setState({
    web3,
    provider,
    connected: true,
    address,
    chainId,
    networkId
  });
  await this.getAccountAssets();
};

const ConnectButton = async () => {
  // const { connect } = useWeb3Context();

  return (
    <Button variant="contained" color="primary" className="connect-button" onClick={onConnect}>
      Connect Wallet
    </Button>
  );
};

export default ConnectButton;
