// TODO: UPDATE SUBGRAPHS
export const THE_GRAPH_URL = "https://api.thegraph.com/subgraphs/name/hectordao-hec/hector-dao";
export const THE_ALT_GRAPH_URL = "https://api.thegraph.com/subgraphs/name/hectordao-hec/hector-dao-alt";
export const ETH_GRAPH_URL = "https://api.thegraph.com/subgraphs/name/hectordao-hec/hector-eth";

export const EPOCH_INTERVAL = 28800;

// NOTE could get this from an outside source since it changes slightly over time
export const BLOCK_RATE_SECONDS = 1;

export const TOKEN_DECIMALS = 9;

export const FANTOM_NETWORK_ID: number = 0xFA;

export const DEFAULT_NETWORK = FANTOM_NETWORK_ID;

export const FANTOM = {
  FANTOM_VALIDATOR_ADDRESS: "0x35796Ce4Ed757075D346c1bc374D67628fadcbB1",
  DAI_ADDRESS: "0x8D11eC38a3EB5E956B052f67Da8Bdc9bef8Abf3E",
  USDC_ADDRESS: "0x04068da6c83afcfa0e13ba15a6696662335d5b75",
  MIM_ADDRESS: "0x82f0B8B456c1A451378467398982d4834b6829c1",
  WFTM_ADDRESS: "0x21be370d5312f44cb42ce377bc9b8a0cef1a4c83",
  SOR_ADDRESS: "0xEFFd4874AcA3Acd19a24dF3281b5cdAdD823801A", // UPDATED
  DAILP_ADDRESS: "",

  LUX_ADDRESS: "0x951BBB838e49F7081072895947735b0892cCcbCD",
  LUM_ADDRESS: "0x4290b33158F429F40C0eDc8f9b9e5d8C5288800c",
  WLUM_ADDRESS: "0xa69557e01B0a6b86E5b29BE66d730c0Bfff68208",

  STAKING_ADDRESS: "0xf3F0BCFd430085e198466cdCA4Db8C2Af47f0802", // The new staking contract
  STAKING_HELPER_ADDRESS: "0x49a359BB873E4DfC9B07b3E32ee404c4e8ED14e7", // Helper contract used for Staking only
  DISTRIBUTOR_ADDRESS: "",
  OLD_STAKING_ADDRESS: "",
  OLD_STAKING_HELPER_ADDRESS: "",
  OLD_LUM_ADDRESS: "",

  BONDINGCALC_ADDRESS: "0x6e2bd6d4654226C752A0bC753A3f9Cd6F569B6cB",
  gOHMBONDINGCALC_ADDRESS: "",
  BONDINGCALC_ADDRESS1: "",
  TREASURY_ADDRESS: "",
  REDEEM_HELPER_ADDRESS: "",
  
  // UNUSED & INVALID
  AGGREGATOR_ADDRESS: "0x7dc6bad2798ba1AcD8cf34F9a3eF3a168252e1A6",
  FARMING_AGGREGATOR_ADDRESS: "0x86fb74B3b1949985AC2081B9c679d84BB44A2bf2",
  TOR_LP_POOL_ADDRESS: "0x24699312CB27C26Cfc669459D670559E5E44EE60",
  FARMINNG_STAKING_REWARDS_ADDRESS: "0x61B71689684800f73eBb67378fc2e1527fbDC3b3",
  SOR_MINTER_ADDRESS: "0x046050f879E2fa5f60dd472da61d542B443B0603",
  SOR_REDEEM_ADDRESS: "0x648D1feA7a9e81aF26ECDecdAe4B45992adBBAC1", 
  TOR_LP_AMOUNTS_ADDRESS: '0xE4D581869BFc6238d544b0e4c9D678Ad51192654',
  CURVE_FI_ADDRESS: '0x78D51EB71a62c081550EfcC0a9F9Ea94B2Ef081c',
};

export const messages = {
  please_connect: "Please connect your wallet to the Fantom network to use Wonderland.",
  please_connect_wallet: "Please connect your wallet.",
  try_mint_more: (value: string) =>
    `You're trying to mint more than the maximum payout available! The maximum mint payout is ${value} LUX.`,
  before_minting: "Before minting, enter a value.",
  existing_mint:
    "You have an existing mint. Minting will reset your vesting period and forfeit any pending claimable rewards. We recommend claiming rewards first or using a fresh wallet. Do you still wish to proceed?",
  before_stake: "Before staking, enter a value.",
  before_unstake: "Before un staking, enter a value.",
  tx_successfully_send: "Your transaction was successful",
  your_balance_updated: "Your balance was successfully updated",
  nothing_to_claim: "You have nothing to claim",
  something_wrong: "Something went wrong",
  switch_to_fantom: "Switch to the Fantom network?",
  slippage_too_small: "Slippage too small",
  slippage_too_big: "Slippage too big",
  your_balance_update_soon: "Your balance will update soon",
  account_update: "Your account will update soon",
};
