import { DEFAULT_NETWORK, FANTOM } from "src/constants";
import { StableBond, NetworkID, LPBond } from "src/lib/Bond";
import { ReactComponent as DaiImg } from "src/assets/tokens/DAI.svg";
import { abi as Dai4V3BondContract } from "src/abi/bonds/Dai44v3Contract.json";
import { abi as DaiBondContract } from "src/abi/bonds/DaiContract.json";
import { abi as MimBondContract } from "src/abi/bonds/MimContract.json";
import LuxDaiLogo from "../../assets/tokens/LUX-DAI.svg";
import { abi as BondHecDaiContract } from "src/abi/bonds/HecDaiContract.json";
import { abi as ReserveHecDaiContract } from "src/abi/reserves/HecDai.json";

export const dai = new StableBond({
  name: "dai",
  displayName: "DAI",
  bondToken: "DAI",
  bondIconSvg: DaiImg,
  bondContractABI: DaiBondContract,
  isOld: false,
  // fourAddress: "0xCf994423b39A6991e82443a8011Bf6749e19434b",
  // oldfourAddress: "0xe8fd4630800bA4335801D1b104B07328Ae415605",
  // additionValue: -10779154199735267171249192,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0xCf994423b39A6991e82443a8011Bf6749e19434b",
      reserveAddress: FANTOM.DAI_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
});
export const dai_7 = new StableBond({
  name: "dai_7",
  displayName: "DAI",
  bondToken: "DAI",
  bondIconSvg: DaiImg,
  bondContractABI: DaiBondContract,
  fourAddress: "",
  // oldfourAddress: "0xe8fd4630800bA4335801D1b104B07328Ae415605",
  // additionValue: -10779154199735267171249192,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0x80C61168e1F02e1835b541e9Ca6Bb3416a36Af6F",
      reserveAddress: FANTOM.DAI_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
});

export const dai_14 = new StableBond({
  name: "dai_14",
  displayName: "DAI",
  bondToken: "DAI",
  bondIconSvg: DaiImg,
  isFour: false,
  // isTotal: true,
  bondContractABI: DaiBondContract,
  // additionValue: 10779154199735267171249192,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0x73eE5Fcd1336246C74f6448B1d528aeacF5404f2",
      reserveAddress: FANTOM.DAI_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
});

export const dai_28 = new StableBond({
  name: "dai_28",
  displayName: "DAI",
  bondToken: "DAI",
  bondIconSvg: DaiImg,
  isFour: false,
  // isTotal: true,
  bondContractABI: DaiBondContract,
  // isOld: true,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0x1a7bA76b2A421E0E730809C40bE4a685dE29307c",
      reserveAddress: FANTOM.DAI_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
});

export const dailp = new LPBond({
  name: "dailp",
  displayName: "LUX-DAI LP",
  bondToken: "DAI",
  bondIconSvg: LuxDaiLogo,
  bondContractABI: BondHecDaiContract,
  reserveContract: ReserveHecDaiContract,
  isOld: true,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0x5612d83dfED9B387c925Ac4D19ED3aeDd71004A8",
      reserveAddress: FANTOM.DAILP_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
  lpUrl: "https://app.soulswap.finance/add/",
});

export const dailp_7 = new LPBond({
  name: "dailp_7",
  displayName: "LUX-DAI LP",
  bondToken: "DAI",
  bondIconSvg: LuxDaiLogo,
  bondContractABI: BondHecDaiContract,
  reserveContract: ReserveHecDaiContract,
  // fourAddress: "",
  // substractionValue: 3473949271670657599,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0xaC64DC47A1fe52458D3418AC7C568Edc3306130a",
      reserveAddress: FANTOM.DAILP_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
  lpUrl: "https://app.soulswap.finance/add/",
  });

export const dailp_14 = new LPBond({
  name: "dailp_14",
  displayName: "LUX-DAI LP",
  bondToken: "DAI",
  bondIconSvg: LuxDaiLogo,
  isFour: true,
  isTotal: true,
  isOld: true,
  bondContractABI: MimBondContract,
  reserveContract: ReserveHecDaiContract,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0xaFADcDca5Aa1F187B357499f2e3BA94D3Cc32ad1",
      reserveAddress: FANTOM.DAILP_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
  lpUrl: "https://app.soulswap.finance/add/",
});

export const dailp_28 = new LPBond({
  name: "dailp_28",
  displayName: "LUX-DAI LP",
  bondToken: "DAI",
  bondIconSvg: LuxDaiLogo,
  // isFour: true,
  // isTotal: true,
  bondContractABI: Dai4V3BondContract,
  reserveContract: ReserveHecDaiContract,
  additionValue: 3473949271670657599,
  networkAddrs: {
    [NetworkID.Fantom]: {
      bondAddress: "0xAE08cf625d4232935D2F1b331517aC0089163DB2",
      reserveAddress: FANTOM.DAILP_ADDRESS,
    },
    [NetworkID.Testnet]: {
      bondAddress: "",
      reserveAddress: "",
    },
  },
  lpUrl: "https://app.soulswap.finance/add/",
});
